;**************************************************************
;  
;                 vecs.asm
;  
;                 staff
;  
;                 12-06-91
;  
;           (C) Texas Instruments Inc., 1992 
;  
;           Refer to the file 'license.txt' included with this 
;           this package for usage and license information. 
;  
;**************************************************************
*********************************************************
*   SYNVECS.ASM 					*
*							*
*   C3x - AIC DRIVERS INTERRUPT VECTOR TABLE		*
*							*
*   (C) 1991 TEXAS INSTRUMENTS, HOUSTON 		*
*********************************************************
*   INTERRUPT AND RESET VECTORS                         *
*********************************************************
	.sect "vecs"   ; interrupt and reset vectors

        .ref _c_int00   ; compiler defined C initialization reset
        .ref _c_int05   ; serial port transmit interrupt service routine
        .ref _c_int06   ; serial port transmit interrupt service routine
        .ref _c_int07   ; serial port transmit interrupt service routine
        .ref _c_int08   ; serial port transmit interrupt service routine
        .ref _c_int99   ; unexpected interrupt handler

reset:  .word   _c_int00
int0:   .word   _c_int99
int1:   .word   _c_int99
int2:   .word   _c_int99
int3:   .word   _c_int99
xint0:	.word	_c_int05
rint0:  .word   _c_int06
xint1:  .word   _c_int07
rint1:  .word   _c_int08
tint0:  .word   _c_int99
tint1:  .word   _c_int99
dint:	.word	_c_int99
